import { MergeHead, HeadEntryOptions } from '@unhead/schema';
import { V as VueHeadClient, U as UseHeadInput } from './createHead-26c9c4af.js';
import 'vue';

type VueHeadClientPollyFill<T extends MergeHead> = VueHeadClient<T> & {
    /**
     * @deprecated use `resolveTags`
     */
    headTags: VueHeadClient<T>['resolveTags'];
    /**
     * @deprecated use `push`
     */
    addEntry: VueHeadClient<T>['push'];
    /**
     * @deprecated use `push`
     */
    addHeadObjs: VueHeadClient<T>['push'];
    /**
     * @deprecated use `useHead`
     */
    addReactiveEntry: (input: UseHeadInput<T>, options?: HeadEntryOptions) => (() => void);
    /**
     * @deprecated Use useHead API.
     */
    removeHeadObjs: () => void;
    /**
     * @deprecated Call hook `entries:resolve` or update an entry
     */
    updateDOM: () => void;
    /**
     * @deprecated Access unhead properties directly.
     */
    unhead: VueHeadClient<T>;
};
declare function polyfillAsVueUseHead<T extends MergeHead>(head: VueHeadClient<T>): VueHeadClientPollyFill<T>;

export { VueHeadClientPollyFill, polyfillAsVueUseHead };
